#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_clean:
	rm -rf build-Qt6

override_dh_auto_configure:
	QT_SELECT=qt5 dh_auto_configure -- -DUSE_QT5=True
	QT_SELECT=qt6 dh_auto_configure --builddirectory=build-qt6 -- -DUSE_QT6=True

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install
	# Removing embedded jquery javascript library
	rm debian/tmp/usr/share/doc/libdbusmenu-qt5-doc/jquery.js

	dh_auto_install --builddirectory=build-qt6
	rm debian/tmp/usr/share/doc/libdbusmenu-qt6-doc/jquery.js

override_dh_strip:
	dh_strip -plibdbusmenu-qt5-2
	dh_strip -plibdbusmenu-qt6-2
	dh_strip --remaining-packages

override_dh_auto_test:
	# Skipping tests (can't test inside chroot)...

